Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFEvenFooter

    java.lang.Object
      org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
          org.apache.poi.xssf.usermodel.XSSFEvenFooter

All Implemented Interfaces:
  Footer, HeaderFooter

    public class XSSFEvenFooter

extends XSSFHeaderFooter
implements Footer

Even page footer value. Corresponds to even printed pages. Even page(s) in the sheet may not be printed, for example, if the print area is specified to be a range such that it falls outside an even page's scope. If no even footer is specified, then the odd footer's value is assumed for even page footers.

Constructor Summary
`XSSFEvenFooter(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)` Create an instance of XSSFEvenFooter from the supplied XML bean

Method Summary
`java.lang.String` | `getText()` Get the content text representing the footer
`void` | `setText(java.lang.String text)` Set a text for the footer.

Methods inherited from class org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
`areFieldsStripped, getCenter, getHeaderFooter, getLeft, getRight, getValue, setAreFieldsStripped, setCenter, setLeft, setRight, stripFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.Footer
`getCenter, getLeft, getRight, setCenter, setLeft, setRight`

Constructor Detail

### XSSFEvenFooter

    public XSSFEvenFooter(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)

  Create an instance of XSSFEvenFooter from the supplied XML bean

  Parameters:
    `headerFooter` -
  See Also:
    `XSSFSheet.getEvenFooter()`

Method Detail

### getText

    public java.lang.String getText()

  Get the content text representing the footer

  Specified by:
    `getText` in class `XSSFHeaderFooter`
  Returns:
    text

### setText

    public void setText(java.lang.String text)

  Set a text for the footer. If null unset the value.

  Specified by:
    `setText` in class `XSSFHeaderFooter`
  Parameters:
    `text` - - a string representing the footer.
  See Also:
    `to see how to create a string with Header/Footer Formatting Syntax`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.